Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch
Class HandlesAllTouchEvents

    java.lang.Object
      com.maryanovsky.gwtutils.client.iphone.ui.touch.HandlesAllTouchEvents

All Implemented Interfaces:
  EventHandler, TouchCancelHandler, TouchEndHandler, TouchMoveHandler, TouchStartHandler

Direct Known Subclasses:
  TouchEventsCanceller

    public abstract class HandlesAllTouchEvents

extends Object
implements TouchStartHandler, TouchMoveHandler, TouchEndHandler, TouchCancelHandler

Receiver used to handle all touch events.

Author:
  Maryanovsky Alexander

Constructor Summary
`HandlesAllTouchEvents()`

Method Summary
`HandlerRegistration` | `handle(HasAllTouchHandlers source)` Convenience method to handle all touch events from a source.
`static
`<H extends TouchStartHandler & TouchMoveHandler & TouchEndHandler & TouchCancelHandler> HandlerRegistration`
` | `handle(HasAllTouchHandlers source, H receiver)` Convenience method to handle all touch events from a source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchStartHandler
`onTouchStart`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchMoveHandler
`onTouchMove`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchEndHandler
`onTouchEnd`

Methods inherited from interface com.maryanovsky.gwtutils.client.iphone.ui.touch.TouchCancelHandler
`onTouchCancel`

Constructor Detail

### HandlesAllTouchEvents

    public HandlesAllTouchEvents()

Method Detail

### handle

    public HandlerRegistration handle(HasAllTouchHandlers source)

  Convenience method to handle all touch events from a source.

### handle

    public static <H extends TouchStartHandler & TouchMoveHandler & TouchEndHandler & TouchCancelHandler> HandlerRegistration handle(HasAllTouchHandlers source,
                                                                                                                                  H receiver)

  Convenience method to handle all touch events from a source.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD